#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include "common.h"
#include "docgi.h"


bool
cgi_check (char *file)
{
	return access(strsep(&file,"?"),X_OK)+1;
}

bool
cgi_exec (int s, char *cgi)
{
	char *t;
	int pid, status;
	t=strsep(&cgi,"?");

	pid = vfork();
	if(pid == 0)
	{
		int in[2], out[2];
		pipe (in);
		pipe (out);
		dup2(s,1);
		setenv("QUERY_STRING",cgi,1);
		execl(t,t,NULL);
	} else
	if(pid>0){
		waitpid(pid,&status,0);}
	else
		printf("Wasn't able to fork...\n");
	return TRUE;
}
